Bug 733952 - UK switchover: DVB-T mux details have changed significantly
Summary: UK switchover: DVB-T mux details have changed significantly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dvb-apps
Version: 15
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 21:16 UTC by Paul Jakma
Modified: 2013-06-24 20:12 UTC (History)
2 users (show)

Fixed In Version: dvb-apps-1.1.2-0.d4e8bf5658ce.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:56:42 UTC


Attachments (Terms of Use)

Description Paul Jakma 2011-08-28 21:16:51 UTC
Description of problem:

UK had a flag-day for DVB-T transmission a while ago. The channel/Mux description files shipped with dvb-apps are out of date, and channel re-scanning fails on a number of apps that appear to depend on these files (e.g. kaffeine and gnome-dvb-daemon).
 
Version-Release number of selected component (if applicable):

dvb-apps-1.1.1-23.fc15.i686

How reproducible:

100%

Steps to Reproduce:

1. Run gnome-dvb-setup
2. Select UK, and appropriate transmitter (e.g. BlackHill for me)
3. Scan for channels
 
Actual results:

Finds nothing, post digital-flag-day.

Expected results:

Should find all the channels.

Additional info:

Running w_scan -c GB -x produces the below output. When I overwrite /usr/share/dvb-apps/dvb-t/uk-BlackHill with it, gnome-dvb-daemon scanning works again:

T 634167000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 674000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 650000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 658000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 682000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland

Comment 1 Fedora Update System 2011-11-12 18:43:11 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc16

Comment 2 Fedora Update System 2011-11-12 18:43:25 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc15

Comment 3 Fedora Update System 2011-11-12 18:43:38 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc14

Comment 4 Fedora Update System 2011-11-13 05:36:27 UTC
Package dvb-apps-1.1.2-0.d4e8bf5658ce.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dvb-apps-1.1.2-0.d4e8bf5658ce.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15851
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-25 01:56:42 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-25 02:04:14 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-25 02:22:24 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 John Haxby 2012-08-29 14:52:00 UTC
I had to do a similar thing with w_scan for the UK Hannington transmiter.  I suspect another update is required.

Comment 9 Peter Robinson 2012-09-24 10:40:58 UTC
(In reply to comment #8)
> I had to do a similar thing with w_scan for the UK Hannington transmiter.  I
> suspect another update is required.

Nothing changed recently upstream WRT this for the UK but I'll push another update when I see anything land.

Comment 10 Paul Jakma 2013-06-24 20:12:19 UTC
UK Blackhill is still out of date it seems, with dvb-apps-1.1.2-4.1488.f3a70b206f0f.fc18. Below is what I get with w_scan, however note I have only DVB-T hardware - so it's missing the DVB-T2 mux that carries, e.g., the BBC HD channels. This knocks onto programmes like gnome-dvb-daemon, which will be missing channels.

$ cat ~/dvb-initial-uk-Blackhill 
#------------------------------------------------------------------------------
# file automatically generated by w_scan
# (http://wirbel.htpc-forum.de/w_scan/index2.html)
#! <w_scan> 20130331 1 0 TERRESTRIAL DE </w_scan>
#------------------------------------------------------------------------------
# location and provider: <add description here>
# date (yyyy-mm-dd)    : 2013-06-24
# provided by (opt)    : <your name or email here>
#
# T[2] [plp_id] [system_id] <freq> <bw> <fec_hi> <fec_lo> <mod> <tm> <guard> <hi> [# comment]
#------------------------------------------------------------------------------
T 634167000 8MHz  3/4 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 674000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 650000000 8MHz  2/3 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 658000000 8MHz  3/4 NONE    QAM64   8k 1/32 NONE      # Central Scotland
T 682000000 8MHz  3/4 NONE    QAM64   8k 1/32 NONE      # Central Scotland


Note You need to log in before you can comment on or make changes to this bug.